| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ShaderInstanceCustomDummySlot Class Reference

A dummy custom instance slot. More...

Inheritance diagram for nkGraphics::ShaderInstanceCustomDummySlot:

## Public Member Functions
| ShaderInstanceCustomDummySlot (System *system) noexcept
void | setTypeName (nkMemory::StringView value)
virtual unsigned int | getDataByteSize () override
virtual void | fillDataBuffer (Entity *caller, void *buffer) override
Public Member Functions inherited from nkGraphics::ShaderInstanceCustomSlot
| ShaderInstanceCustomSlot () noexcept
virtual | ~ShaderInstanceCustomSlot ()
nkMemory::StringView | getTypeName () const
nkMemory::StringView | getSemanticName () const
void | setSemanticName (nkMemory::StringView value)

## Detailed Description

A dummy custom instance slot.

Used as a place holder when importing shaders featuring custom slots. The dummy slot will have to be replaced by the application knowing about the precise custom slot to use, after resource loading.

## Constructor & Destructor Documentation

## ◆ ShaderInstanceCustomDummySlot()

nkGraphics::ShaderInstanceCustomDummySlot::ShaderInstanceCustomDummySlot | ( | System * | system | ) |
| noexcept

Constructor.

Parameters

  system | The system the resource should live in.

## Member Function Documentation

## ◆ setTypeName()

void nkGraphics::ShaderInstanceCustomDummySlot::setTypeName | ( | nkMemory::StringView | value | ) |

Typename setting for identification.

Parameters

  value | The typename description.

## ◆ getDataByteSize()

virtual unsigned int nkGraphics::ShaderInstanceCustomDummySlot::getDataByteSize | ( |  | ) |
| override virtual

Returns
  The size of the data filled by the slot, in bytes, for an instance entry.

Implements nkGraphics::ShaderInstanceCustomSlot.

## ◆ fillDataBuffer()

virtual void nkGraphics::ShaderInstanceCustomDummySlot::fillDataBuffer | ( | Entity * | caller,
|  | void * | buffer
| ) |  |
| override virtual

Fills the buffer for one entry.

Parameters

  caller | The entity to fill the data for.
  buffer | The spot in the memory buffer to fill.

Implements nkGraphics::ShaderInstanceCustomSlot.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Shaders/Memory/ShaderInstanceCustomDummySlot.h